[Cython] Incompatibility with numpy-1.5.1 - fixed in master?!

Yury V. Zaytsev yury at shurup.com
Fri Apr 15 16:20:09 CEST 2011

Hi folks!

I have just ran into buffer protocol incompatibility problem with
numpy-1.5.1, which lead me to discover the following ticket (discussed
back in December 2010 on this list):


In despair, I was about to try to see if there is anything I can do to
fix it myself. To this end I cloned your git repository and set up my
Python environment to use the latest bleeding edge version from there.

To my surprise I discovered that my code started working and I don't
have the buffer interface problem that I was facing before anymore.

So my suggestion would be to maybe test it more thoroughly and if it is
indeed the case, close the ticket. I tried to subscribe to it or leave a
comment, but I need an account which I can't register on my own.

Still, I have the following question: which risks am I running by using
the bleeding edge version and is there any chance this could inflict
cancer on me?

Do you have plans to make a new point release which includes this very
important improvement anytime soon?


P.S. I've met Stefan Behnel at FACETS CodeJam the year before last. Back
then I didn't realize how much you rock guys and how I will need Cython
in the future for my research...
Sincerely yours,
Yury V. Zaytsev

More information about the cython-devel mailing list